package room

import (
	"context"

	"microGame/app/usercenter/cmd/api/internal/svc"
	"microGame/app/usercenter/cmd/api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type StandUpLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

// standUp
func NewStandUpLogic(ctx context.Context, svcCtx *svc.ServiceContext) *StandUpLogic {
	return &StandUpLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *StandUpLogic) StandUp(req *types.StandUpReq) (resp *types.StandUpResp, err error) {
	// todo: add your logic here and delete this line

	return
}
